Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.di.spi
Class DefaultAdhocObjectFactory

    java.lang.Object
      org.apache.cayenne.di.spi.DefaultAdhocObjectFactory

All Implemented Interfaces:
  AdhocObjectFactory

    public class DefaultAdhocObjectFactory

extends Object
implements AdhocObjectFactory

A default implementation of `AdhocObjectFactory` that creates objects using default no-arg constructor and injects dependencies into annotated fields. Note that constructor injection is not supported by this factory.

Since:
  3.1

Field Summary
`protected Injector` | `injector`

Constructor Summary
`DefaultAdhocObjectFactory()`

Method Summary
`Class<?>` | `getJavaClass(String className)`
`
`<T> T`
` | `newInstance(Class<? super T> superType, String className)` Returns an instance of "className" that implements "superType", injecting dependencies from the registry into it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### injector

    protected Injector injector

Constructor Detail

### DefaultAdhocObjectFactory

    public DefaultAdhocObjectFactory()

Method Detail

### newInstance

    public <T> T newInstance(Class<? super T> superType,
                             String className)

  Description copied from interface: `AdhocObjectFactory`
  Returns an instance of "className" that implements "superType", injecting dependencies from the registry into it.

  Specified by:
    `newInstance` in interface `AdhocObjectFactory`

### getJavaClass

    public Class<?> getJavaClass(String className)
                          throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001–2014 Apache Cayenne. All rights reserved.